import {NgModule} from '@angular/core';
import {RouterModule, Routes} from '@angular/router';
import {DataCardComponent} from '../data-card/data-card.component';
import {MeasurementsTabComponent} from '../measurements/measurements-tab/measurements-tab.component';
import {ActivitiesComponent} from '../activities/activities.component';
import {PregnancyComponent} from '../pregnancy/pregnancy.component';
import {PatientInformationComponent} from '../patient-information/patient-information.component';


/**
 * The application routing parameters
 */
export const appRoutes: Routes = [
  { path: 'data-card', component: DataCardComponent },
  { path: 'forløbsplan', component: ActivitiesComponent },
  { path: 'undersøgelser-og-målinger', component: MeasurementsTabComponent },
  { path: 'svangerskab', component: PregnancyComponent },
  { path: 'patientoplysninger', component: PatientInformationComponent },
  { path: '**', redirectTo: 'data-card' }
];

@NgModule({
  imports: [RouterModule.forRoot(appRoutes, {useHash: true})],
  exports: [RouterModule]
})

export class RoutingModule { }
