import {AfterViewInit, Component, ContentChildren, Input, QueryList} from '@angular/core';
import {MatRadioGroup} from '@angular/material/radio';

@Component({
  selector: 'app-radio-group-wrapper',
  templateUrl: './radio-group-wrapper.component.html',
  styleUrls: ['./radio-group-wrapper.component.scss'],

})
export class RadioGroupWrapperComponent implements AfterViewInit {
  @Input() label = '';
  @ContentChildren(MatRadioGroup, {descendants: true}) transcludedRadioGroup: QueryList<MatRadioGroup>|undefined;

  constructor() { }

  ngAfterViewInit(): void {
    if (this.transcludedRadioGroup) {
      this.transcludedRadioGroup.forEach(group => {
        group.color = 'primary';
      });
    }
  }

}
